%define mod_name mod_authnz_external

Name:		apache-%{mod_name}
Version:	3.3.2
Release:	%mkrel 3
Summary:	An apache authentication DSO using external programs
Group:		System/Servers
License:	Apache License
URL:		https://github.com/phokz/mod-auth-external/tree/master/mod_authnz_external
Source0:	http://mod-auth-external.googlecode.com/files/%{mod_name}-%{version}.tar.gz
Source1:	mod_authnz_external.conf
Source2:	authnz_external.conf
BuildRequires:  apache-devel
Requires:	pwauth
Requires:	apache

%description
An apache external authentication module - uses PAM.

%prep
%setup -q -n %{mod_name}-%{version}

chmod 644 AUTHENTICATORS CHANGES INSTALL* README TODO

%build
%{_httpd_apxs} -c -I . %{mod_name}.c

%install
install -d %{buildroot}%{_httpd_moddir}
%{_httpd_apxs} -i -S LIBEXECDIR=%{buildroot}%{_httpd_moddir} \
    -n %{mod_name} %{mod_name}.la

install -D -m 644 %{SOURCE1} %{buildroot}%{_httpd_modconfdir}/10_mod_authnz_external.conf
install -D -m 644 %{SOURCE2} %{buildroot}%{_httpd_extconfdir}/authnz_external.conf

%files
%doc AUTHENTICATORS CHANGES INSTALL* README TODO UPGRADE
%config(noreplace) %{_httpd_modconfdir}/10_mod_authnz_external.conf
%config(noreplace) %{_httpd_extconfdir}/authnz_external.conf
%{_httpd_moddir}/%{mod_name}.so


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 3.3.2-3.mga8
+ Revision: 1508517
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 3.3.2-2.mga7
+ Revision: 1294398
- Mageia 7 Mass Rebuild

* Thu Feb 25 2016 oden <oden> 3.3.2-1.mga6
+ Revision: 979121
- 3.3.2
- new home at github since Jan Wolter (http://www.unixpapa.com/) sadly passed away January 1, 2015. RIP

* Mon Feb 08 2016 umeabot <umeabot> 3.3.1-6.mga6
+ Revision: 944196
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.3.1-5.mga5
+ Revision: 751259
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.1-4.mga5
+ Revision: 677836
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.3.1-3.mga4
+ Revision: 502534
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 3.3.1-2.mga3
+ Revision: 345839
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 11 2012 guillomovitch <guillomovitch> 3.3.1-1.mga3
+ Revision: 280765
- new version
- adapt to new apache setup

* Sat Jul 07 2012 luigiwalser <luigiwalser> 3.2.5-6.mga3
+ Revision: 268670
- fix module configuration to work with systemd (mga #6714)

* Mon Mar 19 2012 luigiwalser <luigiwalser> 3.2.5-5.mga2
+ Revision: 223840
- httpd restart is handled by filetriggers now
+ guillomovitch <guillomovitch>
- spec cleanup

* Sun Sep 18 2011 dmorgan <dmorgan> 3.2.5-4.mga2
+ Revision: 144664
- Fix buildrequires
- Change apache-base require

* Wed Feb 23 2011 ennael <ennael> 3.2.5-3.mga1
+ Revision: 57642
- imported package apache-mod_authnz_external


* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.5-3mdv2011.0
+ Revision: 588280
- rebuild

* Mon Mar 08 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.5-2mdv2010.1
+ Revision: 515835
- rebuilt for apache-2.2.15

* Sun Dec 27 2009 Oden Eriksson <oeriksson@mandriva.com> 3.2.5-1mdv2010.1
+ Revision: 482825
- 3.2.5

* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 3.2.4-3mdv2010.0
+ Revision: 451698
- rebuild

* Fri Jul 31 2009 Oden Eriksson <oeriksson@mandriva.com> 3.2.4-2mdv2010.0
+ Revision: 405136
- rebuild

* Sun Jun 21 2009 Oden Eriksson <oeriksson@mandriva.com> 3.2.4-1mdv2010.0
+ Revision: 387622
- 3.2.4
- new url

* Wed Mar 11 2009 Oden Eriksson <oeriksson@mandriva.com> 3.2.3-1mdv2009.1
+ Revision: 353767
- 3.2.3

* Wed Jan 07 2009 Oden Eriksson <oeriksson@mandriva.com> 3.2.1-2mdv2009.1
+ Revision: 326484
- rebuild

* Sun Aug 03 2008 Olivier Thauvin <nanardon@mandriva.org> 3.2.1-1mdv2009.0
+ Revision: 261753
- 3.2.1

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 3.1.0-11mdv2009.0
+ Revision: 235639
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 3.1.0-10mdv2009.0
+ Revision: 215289
- rebuild

* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.com> 3.1.0-9mdv2008.1
+ Revision: 181433
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 3.1.0-8mdv2008.1
+ Revision: 148459
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 3.1.0-7mdv2008.0
+ Revision: 82359
- rebuild

* Thu Aug 16 2007 Oden Eriksson <oeriksson@mandriva.com> 3.1.0-6mdv2008.0
+ Revision: 64319
- use the new %%serverbuild macro

* Wed Jun 13 2007 Oden Eriksson <oeriksson@mandriva.com> 3.1.0-5mdv2008.0
+ Revision: 38411
- rebuild


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 3.1.0-4mdv2007.1
+ Revision: 140581
- rebuild

* Tue Feb 27 2007 Oden Eriksson <oeriksson@mandriva.com> 3.1.0-3mdv2007.1
+ Revision: 126610
- general cleanups

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 3.1.0-2mdv2007.1
+ Revision: 79248
- Import apache-mod_authnz_external

* Sun Jul 30 2006 Oden Eriksson <oeriksson@mandriva.com> 3.1.0-2mdv2007.0
- rebuild

* Sun Mar 19 2006 Oden Eriksson <oeriksson@mandriva.com> 3.1.0-1mdk
- 3.1.0
- mod_authnz_external is the new name for apache-2.1.x
- drop the register patch

* Mon Dec 12 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.10-4mdk
- rebuilt against apache-2.2.0

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.10-3mdk
- rebuilt to provide a -debug package too

* Mon Oct 17 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.10-2mdk
- rebuilt against correct apr-0.9.7

* Sat Oct 15 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.10-1mdk
- 2.2.10

* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.2.9-3mdk
- added another work around for a rpm bug

* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.2.9-2mdk
- added a work around for a rpm bug, "Requires(foo,bar)" don't work

* Fri May 27 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.2.9-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Thu Mar 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.2.9-6mdk
- use the %%mkrel macro

* Sun Feb 27 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.2.9-5mdk
- fix %%post and %%postun to prevent double restarts

* Wed Feb 16 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.53_2.2.9-4mdk
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.2.9-3mdk
- fix deps

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.2.9-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Mon Feb 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.2.9-1mdk
- 2.2.9
- drop redundant patches, renumber and rediff patches
- pwauth is in an external package, patches moved there.
- reflect pwauth changes in S1

* Tue Feb 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.2.7-1mdk
- rebuilt for apache 2.0.53

* Wed Sep 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_2.2.7-1mdk
- built for apache 2.0.52

* Fri Sep 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_2.2.7-1mdk
- built for apache 2.0.51

* Wed Aug 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_2.2.7-2mdk
- rebuilt
- remove redundant provides

* Mon Aug 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_2.2.7-1mdk
- built for apache 2.0.50

* Sat Jun 12 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_2.2.7-1mdk
- built for apache 2.0.49

